# End a session the project's server holds

`POST /customer-accounts/auth/sign-out` · Rivier · contacts

End a session the project's server holds.

- Scope: contacts:write
- Sdk: contacts.customerAuth.signOut
- Cli: contacts customer auth sign out

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "project": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "access": {
      "type": "string",
      "maxLength": 2000
    },
    "refresh": {
      "type": "string",
      "maxLength": 200
    },
    "ip": {
      "type": "string",
      "maxLength": 64
    },
    "userAgent": {
      "type": "string",
      "maxLength": 200
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/customer-accounts/auth/sign-out' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "project": "string",
  "access": "string",
  "refresh": "string",
  "ip": "string",
  "userAgent": "string"
}'
```
